Package org.apache.tapestry5.versionmigrator.internal

## Class PackageAndArtifactChangeRefactorCommitParser

- java.lang.Object
- - org.apache.tapestry5.versionmigrator.internal.PackageAndArtifactChangeRefactorCommitParser

- All Implemented Interfaces:
    `java.util.function.Function<java.lang.String,​java.util.Optional<ClassRefactor>>`, `FileRefactorCommitParser`

      public class PackageAndArtifactChangeRefactorCommitParser
      extends java.lang.Object
      implements FileRefactorCommitParser

  Parses lines like this, in which both artifact and package are changed: `{tapestry-ioc/src/main/java/org/apache/tapestry5/ioc => commons/src/main/java/org/apache/tapestry5/commons}/ObjectProvider.java`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EXAMPLE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PackageAndArtifactChangeRefactorCommitParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<ClassRefactor>` | `apply​(java.lang.String line)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Field Detail

    - #### EXAMPLE

          public static final java.lang.String EXAMPLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PackageAndArtifactChangeRefactorCommitParser

          public PackageAndArtifactChangeRefactorCommitParser()

  - ### Method Detail

    - #### apply

          public java.util.Optional<ClassRefactor> apply​(java.lang.String line)

      Specified by:
        `apply` in interface `java.util.function.Function<java.lang.String,​java.util.Optional<ClassRefactor>>`